Option Explicit

Sub ConvertFile (File$)
Dim f%, ff%, t$, ct&, x%

   ' Open the file and read it. Whenever we reach
   ' an end-of-line, we make it UNIX end-of-line

   On Error GoTo File_Err

   If Dir$(Left$(File$, InStr(File$, ".")) & "unx") <> "" Then
      Beep
      x% = MsgBox("There seems to be a file named " & Left$(File$, InStr(File$, ".")) & "unx" & ". Please delete it! Do you want me to do it for you??", 4)
      If x% = 6 Then
         Kill Left$(File$, InStr(File$, ".")) & "unx"
      End If
   End If
   
   f% = FreeFile
   Open File$ For Input As #f%
      ff% = FreeFile
      Open Left$(File$, InStr(File$, ".")) & "unx" For Binary As #ff%
         Do While Not EOF(f%)
            Line Input #f%, t$
            t$ = t$ & Chr$(10)
            Put #ff%, , t$
            ct& = ct& + Len(t$) + 1
            frmMain!lblPercent.Caption = "Finished " & CStr(Int(ct& / LOF(f%) * 100)) & "%"
            frmMain!lblPercent.Refresh
         Loop
      Close #ff%
   Close #ff%

   frmMain!lblPercent.Caption = "Wrote " & Left$(File$, InStr(File$, ".")) & "UNX"
   frmMain!lblPercent.Refresh

Exit_Sub:

   Exit Sub

File_Err:

   frmMain!lblPercent = "Error: " & Error$(Err)
   Resume Exit_Sub

End Sub

Sub Main ()

   frmMain.Show
   
   If Command$ <> "" Then
      ConvertFile Command$
   Else
      frmMain!cmdBrowse.Value = True
   End If

End Sub

